textures/mz/textures/skies/mznight
{
	qer_editorimage textures/skies/nightsky_nocloud.tga
	surfaceparm nolightmap
	surfaceparm sky
	surfaceparm noimpact

	q3map_surfacelight 15
	q3map_sun 1 1 1 25 -58 58
	skyparms env/xnight2 512 -

	
	{
		map textures/skies/dimclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.01 0.01
		tcMod scale 3 3
	}

}

textures/mz/sfx/mzfog
{
	qer_editorimage textures/sfx/hellfog.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	surfaceparm nodrop
	q3map_surfacelight 0
	fogparms ( .8 .8 .8 ) 100
}


textures/mz/glass
{
        surfaceparm trans	
	cull none
	qer_trans 	0.05
     
        {
		map textures/effects/tinfx3.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/mz/waterfall
{
qer_editorimage textures/liquids/pool3d_6.tga
q3map_globaltexture
surfaceparm trans
surfaceparm nonsolid
surfaceparm water
surfaceparm nomarks
cull disable
deformVertexes wave 64 triangle 1 3 .1 .8

{
map textures/liquids/pool3d_6b.tga
blendfunc GL_DST_COLOR GL_one 
rgbgen identity
tcMod scale .5 .5
tcMod scroll .3 .025
}

{ 
map textures/liquids/pool3d_6c.tga 
blendfunc GL_DST_COLOR GL_ONE 
tcMod scale .5 .5 
tcMod scroll 1. .1 
}
{
map $lightmap
blendFunc GL_dst_color GL_zero
rgbgen identity 
} 
} 


textures/mz/tlight_1500
{
	qer_editorimage textures/base_light/light1.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/light1.blend.tga
		//rgbGen wave sin 0.5 0.5 0 3
		blendFunc GL_ONE GL_ONE
	}
}


textures/mz/lightglass
{
        surfaceparm trans	
	cull none
	qer_trans 	0.05
	q3map_surfacelight 250
      surfaceparm nolightmap
        {
		map textures/effects/tinfx3.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/mz/curtains
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nonsolid
	  surfaceparm nomarks
        cull none
        
        {
		map textures/mz/carpet001mz.jpg
		rgbGen identity
	}
}